<?php 
class DMEditor extends CInputWidget{
	public $options = array();
	public function init()
	{
		$this->publishAssets();
	}
	public function run(){
		
		list($name,$id)=$this->resolveNameID();
		if($this->hasModel()){
			echo CHtml::activeTextArea($this->model,$this->attribute,$this->htmlOptions);
		}else{
			echo CHtml::textArea($this->name,$this->value,$this->htmlOptions);
		}
		$this->setOptions();
		$options=CJavaScript::encode($this->options);
		$this->registerEditorJs($id,$options);
	}
	protected static function publishAssets()
	{
		$assets=dirname(__FILE__).'/assets';
		$assetPath=Yii::app()->assetManager->publish($assets);
		if(is_dir($assets)){
			Yii::app()->clientScript->registerCoreScript('jquery');
			Yii::app()->clientScript->registerScriptFile($assetPath.'/ckeditor/ckeditor.js');
			Yii::app()->clientScript->registerScriptFile($assetPath.'/ckeditor/adapters/ckeditor.adapter.jquery.js');
		} else {
			throw new Exception('DMEditor - Error: Couldn\'t find assets to publish.');
		}
	}
	private function registerEditorJs($id,$options){
		Yii::app()->clientScript->registerScript("loadEditor",
		"$( document ).ready( function() {
			$('#{$id}').ckeditor({$options}); 
			
		} );
				");
	}
	private function setOptions(){
		$this->options['filebrowserImageBrowseUrl'] =Yii::app()->createUrl("helpSystem/dmEditor/imageBrowser/browse",
				array("Type"=>"Image"));
		$this->options['filebrowserUploadUrl']=Yii::app()->createUrl("helpSystem/dmEditor/imageUpload/upload");
		
	}
}
?>